.contact {
 padding: 30px 0;
}

.contact__wrapper {
 display: flex;
 align-items: center;
 gap: 20px;
}

.contact__sidebar {
 flex: 1;
 max-width: 345px;
 padding: 25px;
 border-radius: 20px;
 background: #FFF;
}

.contact__company-name {
 color: #303133;
 font-size: 18px;
 font-weight: 600;
 line-height: 139%;
}

.contact__phone {
 margin-top: 25px;
}

.contact__phone-content {
 display: flex;
 gap: 7px;
 align-items: center;
}

.contact__phone-number {
 color: #303133;
 font-family: Oswald;
 font-size: 21px;
 font-weight: 600;
 line-height: 145%;
}

.contact__phone-schedule {
 margin-top: 4px;
 color: rgba(142, 143, 145, 0.4);
 font-size: 13px;
 font-weight: 400;
 line-height: 150%;
}

.contact__messengers {
 margin-top: 25px;
 display: flex;
 align-items: center;
 gap: 10px;
}

.contact__messenger {
 display: block;
 width: 40px;
 height: 40px;
 border-radius: 12px;
 overflow: hidden;
 transition: all .3s;
}

.contact__messenger:hover {
 transform: scale(1.05);
}

.contact__messenger img {
 width: 100%;
 height: 100%;
 object-fit: cover;
}

.contact__email {
 margin-top: 25px;
 display: flex;
 align-items: center;
 gap: 7px;
}

.contact__email-link {
 color: #526086;
 font-size: 20px;
 font-weight: 600;
 line-height: 150%;
 border-bottom: 1px solid rgba(82, 96, 134, 0.30);
}

.contact__email-link:hover {
 border-bottom: 1px solid #FC5417;
}

.contact__address {
 margin-top: 25px;
 display: flex;
 gap: 7px;
}

.contact__address-text {
 color: #303133;
 font-size: 16px;
 font-weight: 500;
 line-height: 139%;
}

.contact__wholesale-btn {
 margin-top: 25px;
 width: 100%;
 gap: 4px;
 padding: 8px 12px;
 font-family: Oswald;
 font-size: 14px;
 font-style: normal;
 text-transform: uppercase;
 border-radius: 8px;
}

.contact__map {
 flex: 1;
 overflow: hidden;
 border-radius: 20px;
 min-height: 430px;
}


.contact-form-section {
 padding: 0 0 60px;
}

.contact-form-section__wrapper {
 display: grid;
 grid-template-columns: repeat(2, 1fr);
 gap: 30px;
}

.contact-form-section__left,
.contact-form-section__right {
 padding: 25px;
 border-radius: 20px;
 background: #FFF;
}


.contact-form-section__subtitle {
 color: #303133;
}

.contact-form-section__details {
 margin-top: 30px;
 display: grid;
 grid-template-columns: repeat(2, 1fr);
 gap: 15px;
}

.contact-detail {
 padding: 15px;
 border-radius: 15px;
 border: 1px solid #EDEDED;
 display: flex;
 align-items: center;
 gap: 15px;
}

.contact-detail__icon {
 min-width: 42px;
 width: 42px;
 height: 42px;
 border-radius: 900px;
 border: 1px dashed #526086;
 display: flex;
 align-items: center;
 justify-content: center;
}

.contact-detail__label {
 color: #8E8F91;
 font-size: 13px;
 font-weight: 600;
 line-height: 150%;
}

.contact-detail__value {
 color: #303133;
 font-size: 14px;
 font-weight: 700;
 line-height: 150%;
}


.contact-form-section__form {
 margin-top: 20px;
}

.contact-form-section__row {
 display: grid;
 grid-template-columns: 1fr 1fr;
 gap: 20px;
}

.contact-form-section__textarea {
 min-height: 96px;
}

.base-checkbox__label {
 margin-top: 2px;
}

.contact-form-section__form .base-form-submit {
 width: fit-content;
 gap: 10px;
 font-size: 15px;
 font-weight: 700;
}


.contact-form-section__success {
 width: 100%;
 height: 100%;
 display: flex;
 align-items: center;
 justify-content: center;
 flex-direction: column;
 gap: 20px;
}

.contact-form-section__success-icon {
 line-height: 0;
}

.contact-form-section__success-title {
 color: #303133;
}

.contact-form-section__success-description {
 max-width: 493px;
 color: #393B40;
 text-align: center;
 font-size: 14px;
 font-weight: 500;
 line-height: 150%;
}

@media (max-width: 1024px) {
 .contact__sidebar {
  max-width: 279px;
  padding: 16px;
  border-radius: 16px;
 }

 .contact__company-name {
  font-size: 14px;
 }

 .contact__phone {
  margin-top: 15px;
 }

 .contact__phone-number {
  font-size: 17px;
 }

 .contact__messengers {
  margin-top: 15px;
  gap: 8px;
 }

 .contact__email {
  margin-top: 15px;
 }

 .contact__email-link {
  font-size: 15px;
 }

 .contact__address {
  margin-top: 15px;
 }

 .contact__address-text {
  font-size: 14px;
 }

 .contact__wholesale-btn {
  margin-top: 15px;
 }

 .contact__map {
  min-height: -webkit-fill-available;
 }

 .contact__wrapper {
  gap: 16px;
 }

 .contact {
  padding: 20px 0;
 }

 .contact-form-section {
  padding: 0 0 40px;
 }

 .contact-form-section__wrapper {
  grid-template-columns: 1fr;
  gap: 20px;
 }

 .contact-form-section__left,
 .contact-form-section__right {
  padding: 16px;
  border-radius: 16px;
 }

 .contact-form-section__details {
  margin-top: 15px;
  grid-template-columns: repeat(2, 1fr);
  gap: 5px;
 }

 .contact-detail {
  padding: 10px;
  border-radius: 10px;
  gap: 10px;
 }

 .contact-form-section__form {
  margin-top: 15px;
  gap: 15px;
 }

 .contact-form-section__row {
  gap: 15px;
 }

 .contact-form-section__form .base-form-submit {
  width: 100%;
  font-size: 14px;
  padding-block: 12px;
 }

 .contact-form-section__success {
  gap: 15px;
 }

 .contact-form-section__success-description {
  max-width: 100%;
  font-size: 12px;
 }
}

@media (max-width: 768px) {
 .contact__wrapper {
  gap: 20px;
  flex-direction: column;
 }

 .contact__sidebar {
  max-width: 100%;
  width: 100%;
 }

 .contact__map {
  min-height: 430px;
  width: 100%;
 }

 .contact-form-section__details {
  grid-template-columns: 1fr;
 }

 .contact-form-section__row {
  grid-template-columns: 1fr;
 }
}